<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/main_layout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:layout_marginTop="30dp"
    android:background="#F0F0F0">

    <RelativeLayout
        android:id="@+id/act_invitation_rl"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginTop="40dp"
        android:background="#F0F0F0"
        android:clipChildren="false"
        app:layout_constraintBottom_toTopOf="@+id/layout_f"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/tv_flags"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:layout_marginBottom="8dp"
            android:layout_marginTop="8dp"
            android:text="左右滑动选择分享图" />

        <com.sheep.gamegroup.view.customview.ClipViewPager
            android:id="@+id/act_invitation_cvp"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_above="@+id/tv_flags"
            android:layout_centerHorizontal="true"
            android:layout_marginEnd="50dp"
            android:layout_marginStart="50dp"
            android:clipChildren="false"
            android:overScrollMode="never" />
    </RelativeLayout>

    <ImageView
        android:id="@+id/img_baseactivity_title"
        android:layout_width="?attr/actionBarSize"
        android:layout_height="?attr/actionBarSize"
        android:gravity="center_vertical"
        android:scaleType="centerInside"
        android:src="@drawable/narrow_back_black"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <RelativeLayout
        android:id="@+id/layout_f"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="#ffffffff"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/act_invitation_rl">

        <TextView
            android:id="@+id/ask_share_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="10dp"
            android:text="邀请好友"
            android:textColor="#ff333333"
            android:textSize="14sp" />

        <android.support.v7.widget.RecyclerView
            android:id="@+id/ask_share_list"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/ask_share_title"
            android:layout_centerVertical="true"
            android:layout_marginBottom="8dp"/>
    </RelativeLayout>


</android.support.constraint.ConstraintLayout>
